nach Upgrade von 8 auf 9 ng Build-Fehler: Importieren eines unerwarteten Symbols invalidFactory während der Kompilierung von Winkel/Kern

stimmen
0

nach dem Ausführen von angular upgrade erhalte ich folgenden Fehler: ng update @angular/cli@9 @angular/core@9

Kompilieren von @Winkel/Kern : Modul als esm5 Fehler: Fehler auf Arbeiter #2: Fehler: Unerwartetes Symbol ɵɵinvalidFactory beim Kompilieren importieren @Winkel/Kern unter Object.validateAndRewriteCoreSymbol (C:\sites\regent-dev\Website\DesktopModules\RegentApp\node_modules@angular\compiler-cli\src\ngtsc\imports\src\c\core.js:90:19)

Ich führte ng update @angular/cli@9 @angular/core@9 @angular/core@9 --force aus, um von 8 auf 9 zu aktualisieren, da es Probleme mit der Peer-Abhängigkeit gab.

Sobald dies erledigt war, ließ ich den Ng-Build laufen und der obige Fehler erschien Also versuchte ich zu folgen, um ihn zu beheben

  • alle Änderungen rückgängig machen
  • node_modulesordner entfernen rm -rf node_modules
  • die package-lock.jsonDatei entfernen
  • npm i
  • npm install @angular/cli -g
  • ng update @angular/cli @angular/core --force
  • ng update --all --force

Der Fehler erscheint immer noch

Kann mir jemand helfen herauszufinden, was hier vor sich geht?

Danke im Voraus

Hier ist der Fehler, der geworfen wird, wenn der ngcc nach der Installation ausgeführt wird

$ npm i

> my-app@1.3.51 postinstall C:\sites\...\App
> ngcc

Warning: Entry point '@angular/core' contains deep imports into 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/symbol/observable', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Subject', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Observable'. This is probably not a problem, but may cause the compilation of entry points to be out of order.
Compiling @angular/core : fesm2015 as esm2015
Compiling @angular/core : main as umd
Error: Error on worker #2: Error: Importing unexpected symbol ɵɵinvalidFactory while compiling @angular/core
    at Object.validateAndRewriteCoreSymbol (C:
... Stack Trace Continues ...

das Folgende ist meine eckige Version (nach dem Upgrade und diejenige, die den Fehler wirft):

id=vor-1
Veröffentlicht am 25/04/2020 um 23:13
quelle vom benutzer
In anderen Sprachen...                            

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more